$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.37.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.37.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B51D33699767EF84CF3FD0C2C1B659194BC7023E4C729846B0B9986D928F3E8B'
  checksumType = 'sha256'
  checksum64 = 'B51D33699767EF84CF3FD0C2C1B659194BC7023E4C729846B0B9986D928F3E8B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.37-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
